Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class PingMessageNew

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.testing.PingMessageNew

All Implemented Interfaces:
  java.io.Serializable, Message

    public class PingMessageNew

extends Message

PingMessageNew A performance test suite for pastry.

Version:
  $Id: PingMessageNew.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Rongmei Zhang
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`PingMessageNew(int pingAddress, NodeHandle src, Id tgt)`

Method Summary
`double` | `getDistance()`
`int` | `getHops()`
`Id` | `getSource()`
`void` | `incrDistance(double dist)`
`void` | `incrHops()`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PingMessageNew

    public PingMessageNew(int pingAddress,
                          NodeHandle src,
                          Id tgt)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### incrHops

    public void incrHops()

### incrDistance

    public void incrDistance(double dist)

### getHops

    public int getHops()

### getDistance

    public double getDistance()

### getSource

    public Id getSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.